"""Demonstrate with statement using multiple files."""


def main():
    data_directory = 'data'
    input_filename = 'words.txt'
    output_filename = 'words_copied.txt'
    infile_path_and_name = f'{data_directory}/{input_filename}'
    outfile_path_and_name = f'{data_directory}/{output_filename}'

    with open(infile_path_and_name, 'r', encoding='utf-8') as infile, \
         open(outfile_path_and_name, 'w', encoding='utf-8') as outfile:
        for line in infile:
            print(line.strip(), file=outfile)

    # Note that there is no close statement for either file.
    # The with statement causes the files to be closed when the with code block has finished.

    print(f'The output file has been written to {outfile_path_and_name}.')


main()

